Lavalite package that provides herb management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `personal/herb`.

    "personal/herb": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Personal\Herb\Providers\HerbServiceProvider::class,

And also add it to alias

    'Herb'  => Personal\Herb\Facades\Herb::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Personal\\Herb\\Seeds\\HerbTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Personal\Herb\Providers\HerbServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Personal\Herb\Providers\HerbServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Personal\Herb\Providers\HerbServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/herb/{modulename}

**User**

    http://path-to-route-folder/user/herb/{modulename}

**Public**

    http://path-to-route-folder/herbs


### API endpoints

**List**

    http://path-to-route-folder/api/user/herb/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/herb/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/herb/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/herb/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/herb/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/herb/{modulename}/{slug}
    METHOD: GET